diff --git a/android/guava/src/com/google/common/util/concurrent/FuturesGetChecked.java b/android/guava/src/com/google/common/util/concurrent/FuturesGetChecked.java
index 04564f3..a196260 100644
--- a/android/guava/src/com/google/common/util/concurrent/FuturesGetChecked.java
+++ b/android/guava/src/com/google/common/util/concurrent/FuturesGetChecked.java
@@ -18,12 +18,8 @@ import static com.google.common.base.Preconditions.checkArgument;
 import static java.lang.Thread.currentThread;
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.annotations.VisibleForTesting;
 import com.google.common.base.Function;
 import com.google.common.collect.Ordering;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import java.lang.ref.WeakReference;
 import java.lang.reflect.Constructor;
 import java.lang.reflect.InvocationTargetException;
 import java.util.Arrays;
@@ -35,24 +31,19 @@ import java.util.concurrent.Future;
 import java.util.concurrent.TimeUnit;
 import java.util.concurrent.TimeoutException;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /** Static methods used to implement {@link Futures#getChecked(Future, Class)}. */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 final class FuturesGetChecked {
-  @CanIgnoreReturnValue
   @ParametricNullness
-  static <V extends @Nullable Object, X extends Exception> V getChecked(
+  static <V extends Object, X extends Exception> V getChecked(
       Future<V> future, Class<X> exceptionClass) throws X {
     return getChecked(bestGetCheckedTypeValidator(), future, exceptionClass);
   }
 
   /** Implementation of {@link Futures#getChecked(Future, Class)}. */
-  @CanIgnoreReturnValue
-  @VisibleForTesting
   @ParametricNullness
-  static <V extends @Nullable Object, X extends Exception> V getChecked(
+  static <V extends Object, X extends Exception> V getChecked(
       GetCheckedTypeValidator validator, Future<V> future, Class<X> exceptionClass) throws X {
     validator.validateClass(exceptionClass);
     try {
@@ -67,9 +58,8 @@ final class FuturesGetChecked {
   }
 
   /** Implementation of {@link Futures#getChecked(Future, Class, long, TimeUnit)}. */
-  @CanIgnoreReturnValue
   @ParametricNullness
-  static <V extends @Nullable Object, X extends Exception> V getChecked(
+  static <V extends Object, X extends Exception> V getChecked(
       Future<V> future, Class<X> exceptionClass, long timeout, TimeUnit unit) throws X {
     // TODO(cpovirk): benchmark a version of this method that accepts a GetCheckedTypeValidator
     bestGetCheckedTypeValidator().validateClass(exceptionClass);
@@ -86,7 +76,6 @@ final class FuturesGetChecked {
     }
   }
 
-  @VisibleForTesting
   interface GetCheckedTypeValidator {
     void validateClass(Class<? extends Exception> exceptionClass);
   }
@@ -95,7 +84,6 @@ final class FuturesGetChecked {
     return GetCheckedTypeValidatorHolder.BEST_VALIDATOR;
   }
 
-  @VisibleForTesting
   static GetCheckedTypeValidator weakSetValidator() {
     return GetCheckedTypeValidatorHolder.WeakSetValidator.INSTANCE;
   }
@@ -106,7 +94,6 @@ final class FuturesGetChecked {
    *
    * <p>Uses reflection to gracefully fall back to when certain implementations aren't available.
    */
-  @VisibleForTesting
   static class GetCheckedTypeValidatorHolder {
     static final GetCheckedTypeValidator BEST_VALIDATOR = getBestValidator();
 
@@ -247,12 +234,10 @@ final class FuturesGetChecked {
     }
   }
 
-  @VisibleForTesting
   static boolean isCheckedException(Class<? extends Exception> type) {
     return !RuntimeException.class.isAssignableFrom(type);
   }
 
-  @VisibleForTesting
   static void checkExceptionClassValidity(Class<? extends Exception> exceptionClass) {
     checkArgument(
         isCheckedException(exceptionClass),
diff --git a/android/guava/src/com/google/common/util/concurrent/GwtFluentFutureCatchingSpecialization.java b/android/guava/src/com/google/common/util/concurrent/GwtFluentFutureCatchingSpecialization.java
index d29a673..0545c34 100644
--- a/android/guava/src/com/google/common/util/concurrent/GwtFluentFutureCatchingSpecialization.java
+++ b/android/guava/src/com/google/common/util/concurrent/GwtFluentFutureCatchingSpecialization.java
@@ -14,17 +14,14 @@
 
 package com.google.common.util.concurrent;
 
-import com.google.common.annotations.GwtCompatible;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Hidden superclass of {@link FluentFuture} that provides us a place to declare special GWT
  * versions of the {@link FluentFuture#catching(Class, com.google.common.base.Function)
  * FluentFuture.catching} family of methods. Those versions have slightly different signatures.
  */
-@GwtCompatible(emulated = true)
 @ElementTypesAreNonnullByDefault
-abstract class GwtFluentFutureCatchingSpecialization<V extends @Nullable Object>
+abstract class GwtFluentFutureCatchingSpecialization<V extends Object>
     extends AbstractFuture<V> {
   /*
    * This server copy of the class is empty. The corresponding GWT copy contains alternative
diff --git a/android/guava/src/com/google/common/util/concurrent/GwtFuturesCatchingSpecialization.java b/android/guava/src/com/google/common/util/concurrent/GwtFuturesCatchingSpecialization.java
index 95131ce..1be8753 100644
--- a/android/guava/src/com/google/common/util/concurrent/GwtFuturesCatchingSpecialization.java
+++ b/android/guava/src/com/google/common/util/concurrent/GwtFuturesCatchingSpecialization.java
@@ -14,7 +14,6 @@
 
 package com.google.common.util.concurrent;
 
-import com.google.common.annotations.GwtCompatible;
 
 /**
  * Hidden superclass of {@link Futures} that provides us a place to declare special GWT versions of
@@ -22,7 +21,6 @@ import com.google.common.annotations.GwtCompatible;
  * java.util.concurrent.Executor) Futures.catching} family of methods. Those versions have slightly
  * different signatures.
  */
-@GwtCompatible(emulated = true)
 @ElementTypesAreNonnullByDefault
 abstract class GwtFuturesCatchingSpecialization {
   /*
diff --git a/android/guava/src/com/google/common/util/concurrent/ImmediateFuture.java b/android/guava/src/com/google/common/util/concurrent/ImmediateFuture.java
index 81912f5..43b247c 100644
--- a/android/guava/src/com/google/common/util/concurrent/ImmediateFuture.java
+++ b/android/guava/src/com/google/common/util/concurrent/ImmediateFuture.java
@@ -16,21 +16,18 @@ package com.google.common.util.concurrent;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.util.concurrent.AbstractFuture.TrustedFuture;
 import java.util.concurrent.ExecutionException;
 import java.util.concurrent.Executor;
 import java.util.concurrent.TimeUnit;
 import java.util.logging.Level;
 import java.util.logging.Logger;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /** Implementation of {@link Futures#immediateFuture}. */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 // TODO(cpovirk): Make this final (but that may break Mockito spy calls).
-class ImmediateFuture<V extends @Nullable Object> implements ListenableFuture<V> {
-  static final ListenableFuture<?> NULL = new ImmediateFuture<@Nullable Object>(null);
+class ImmediateFuture<V extends Object> implements ListenableFuture<V> {
+  static final ListenableFuture<?> NULL = new ImmediateFuture<Object>(null);
 
   private static final Logger log = Logger.getLogger(ImmediateFuture.class.getName());
 
@@ -91,13 +88,13 @@ class ImmediateFuture<V extends @Nullable Object> implements ListenableFuture<V>
     return super.toString() + "[status=SUCCESS, result=[" + value + "]]";
   }
 
-  static final class ImmediateFailedFuture<V extends @Nullable Object> extends TrustedFuture<V> {
+  static final class ImmediateFailedFuture<V extends Object> extends TrustedFuture<V> {
     ImmediateFailedFuture(Throwable thrown) {
       setException(thrown);
     }
   }
 
-  static final class ImmediateCancelledFuture<V extends @Nullable Object> extends TrustedFuture<V> {
+  static final class ImmediateCancelledFuture<V extends Object> extends TrustedFuture<V> {
     ImmediateCancelledFuture() {
       cancel(false);
     }
diff --git a/android/guava/src/com/google/common/util/concurrent/InterruptibleTask.java b/android/guava/src/com/google/common/util/concurrent/InterruptibleTask.java
index 168adf2..bf8eb01 100644
--- a/android/guava/src/com/google/common/util/concurrent/InterruptibleTask.java
+++ b/android/guava/src/com/google/common/util/concurrent/InterruptibleTask.java
@@ -14,26 +14,19 @@
 
 package com.google.common.util.concurrent;
 
-import static com.google.common.util.concurrent.NullnessCasts.uncheckedCastNullableTToT;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.VisibleForTesting;
-import com.google.j2objc.annotations.ReflectionSupport;
 import java.util.concurrent.atomic.AtomicReference;
 import java.util.concurrent.locks.AbstractOwnableSynchronizer;
 import java.util.concurrent.locks.LockSupport;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
-@GwtCompatible(emulated = true)
-@ReflectionSupport(value = ReflectionSupport.Level.FULL)
 @ElementTypesAreNonnullByDefault
 // Some Android 5.0.x Samsung devices have bugs in JDK reflection APIs that cause
 // getDeclaredField to throw a NoSuchFieldException when the field is definitely there.
 // Since this class only needs CAS on one field, we can avoid this bug by extending AtomicReference
 // instead of using an AtomicReferenceFieldUpdater. This reference stores Thread instances
 // and DONE/INTERRUPTED - they have a common ancestor of Runnable.
-abstract class InterruptibleTask<T extends @Nullable Object>
-    extends AtomicReference<@Nullable Runnable> implements Runnable {
+abstract class InterruptibleTask<T extends Object>
+    extends AtomicReference<Runnable> implements Runnable {
   static {
     // Prevent rare disastrous classloading in first call to LockSupport.park.
     // See: https://bugs.openjdk.java.net/browse/JDK-8074773
@@ -216,7 +209,6 @@ abstract class InterruptibleTask<T extends @Nullable Object>
    * currentRunner thread is blocked on the progress of the interruptor thread, which can help
    * identify deadlocks.
    */
-  @VisibleForTesting
   static final class Blocker extends AbstractOwnableSynchronizer implements Runnable {
     private final InterruptibleTask<?> task;
 
diff --git a/android/guava/src/com/google/common/util/concurrent/JdkFutureAdapters.java b/android/guava/src/com/google/common/util/concurrent/JdkFutureAdapters.java
index 82f8d95..7f11423 100644
--- a/android/guava/src/com/google/common/util/concurrent/JdkFutureAdapters.java
+++ b/android/guava/src/com/google/common/util/concurrent/JdkFutureAdapters.java
@@ -17,14 +17,11 @@ package com.google.common.util.concurrent;
 import static com.google.common.base.Preconditions.checkNotNull;
 import static com.google.common.util.concurrent.Uninterruptibles.getUninterruptibly;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtIncompatible;
 import java.util.concurrent.Executor;
 import java.util.concurrent.Executors;
 import java.util.concurrent.Future;
 import java.util.concurrent.ThreadFactory;
 import java.util.concurrent.atomic.AtomicBoolean;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Utilities necessary for working with libraries that supply plain {@link Future} instances. Note
@@ -34,8 +31,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Sven Mawson
  * @since 10.0 (replacing {@code Futures.makeListenable}, which existed in 1.0)
  */
-@Beta
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public final class JdkFutureAdapters {
   /**
@@ -51,7 +46,7 @@ public final class JdkFutureAdapters {
    * ListenableFutureTask}, {@link AbstractFuture}, and other utilities over creating plain {@code
    * Future} instances to be upgraded to {@code ListenableFuture} after the fact.
    */
-  public static <V extends @Nullable Object> ListenableFuture<V> listenInPoolThread(
+  public static <V extends Object> ListenableFuture<V> listenInPoolThread(
       Future<V> future) {
     if (future instanceof ListenableFuture) {
       return (ListenableFuture<V>) future;
@@ -79,7 +74,7 @@ public final class JdkFutureAdapters {
    *
    * @since 12.0
    */
-  public static <V extends @Nullable Object> ListenableFuture<V> listenInPoolThread(
+  public static <V extends Object> ListenableFuture<V> listenInPoolThread(
       Future<V> future, Executor executor) {
     checkNotNull(executor);
     if (future instanceof ListenableFuture) {
@@ -97,7 +92,7 @@ public final class JdkFutureAdapters {
    * <p>If the delegate future is interrupted or throws an unexpected unchecked exception, the
    * listeners will not be invoked.
    */
-  private static class ListenableFutureAdapter<V extends @Nullable Object>
+  private static class ListenableFutureAdapter<V extends Object>
       extends ForwardingFuture<V> implements ListenableFuture<V> {
 
     private static final ThreadFactory threadFactory =
diff --git a/android/guava/src/com/google/common/util/concurrent/ListenableFuture.java b/android/guava/src/com/google/common/util/concurrent/ListenableFuture.java
index cf0199a..70d9342 100644
--- a/android/guava/src/com/google/common/util/concurrent/ListenableFuture.java
+++ b/android/guava/src/com/google/common/util/concurrent/ListenableFuture.java
@@ -14,11 +14,9 @@
 
 package com.google.common.util.concurrent;
 
-import com.google.errorprone.annotations.DoNotMock;
 import java.util.concurrent.Executor;
 import java.util.concurrent.Future;
 import java.util.concurrent.RejectedExecutionException;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A {@link Future} that accepts completion listeners. Each listener has an associated executor, and
@@ -115,7 +113,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * that affects users, especially users of the Android Gradle Plugin, since the plugin developers
  * put in a special hack for us: https://issuetracker.google.com/issues/131431257)
  */
-@DoNotMock("Use the methods in Futures (like immediateFuture) or SettableFuture")
 /*
  * It would make sense to also annotate this class with @ElementTypesAreNonnullByDefault. However,
  * it makes no difference because this class is already covered by the package-level
@@ -125,7 +122,7 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * we're seeing a breakage internally when we add that annotation :)
  *
  */
-public interface ListenableFuture<V extends @Nullable Object> extends Future<V> {
+public interface ListenableFuture<V extends Object> extends Future<V> {
   /**
    * Registers a listener to be {@linkplain Executor#execute(Runnable) run} on the given executor.
    * The listener will run when the {@code Future}'s computation is {@linkplain Future#isDone()
diff --git a/android/guava/src/com/google/common/util/concurrent/ListenableFutureTask.java b/android/guava/src/com/google/common/util/concurrent/ListenableFutureTask.java
index 9fdcc53..a49cbd8 100644
--- a/android/guava/src/com/google/common/util/concurrent/ListenableFutureTask.java
+++ b/android/guava/src/com/google/common/util/concurrent/ListenableFutureTask.java
@@ -17,15 +17,12 @@ package com.google.common.util.concurrent;
 import static java.lang.Math.min;
 import static java.util.concurrent.TimeUnit.NANOSECONDS;
 
-import com.google.common.annotations.GwtIncompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.concurrent.Callable;
 import java.util.concurrent.ExecutionException;
 import java.util.concurrent.Executor;
 import java.util.concurrent.FutureTask;
 import java.util.concurrent.TimeUnit;
 import java.util.concurrent.TimeoutException;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A {@link FutureTask} that also implements the {@link ListenableFuture} interface. Unlike {@code
@@ -40,9 +37,8 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Sven Mawson
  * @since 1.0
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
-public class ListenableFutureTask<V extends @Nullable Object> extends FutureTask<V>
+public class ListenableFutureTask<V extends Object> extends FutureTask<V>
     implements ListenableFuture<V> {
   // TODO(cpovirk): explore ways of making ListenableFutureTask final. There are some valid reasons
   // such as BoundedQueueExecutorService to allow extends but it would be nice to make it final to
@@ -58,7 +54,7 @@ public class ListenableFutureTask<V extends @Nullable Object> extends FutureTask
    * @param callable the callable task
    * @since 10.0
    */
-  public static <V extends @Nullable Object> ListenableFutureTask<V> create(Callable<V> callable) {
+  public static <V extends Object> ListenableFutureTask<V> create(Callable<V> callable) {
     return new ListenableFutureTask<V>(callable);
   }
 
@@ -72,7 +68,7 @@ public class ListenableFutureTask<V extends @Nullable Object> extends FutureTask
    *     ListenableFutureTask.create(runnable, null)}
    * @since 10.0
    */
-  public static <V extends @Nullable Object> ListenableFutureTask<V> create(
+  public static <V extends Object> ListenableFutureTask<V> create(
       Runnable runnable, @ParametricNullness V result) {
     return new ListenableFutureTask<V>(runnable, result);
   }
@@ -90,7 +86,6 @@ public class ListenableFutureTask<V extends @Nullable Object> extends FutureTask
     executionList.add(listener, exec);
   }
 
-  @CanIgnoreReturnValue
   @Override
   @ParametricNullness
   public V get(long timeout, TimeUnit unit)
diff --git a/android/guava/src/com/google/common/util/concurrent/ListenableScheduledFuture.java b/android/guava/src/com/google/common/util/concurrent/ListenableScheduledFuture.java
index e5aa5e3..823b660 100644
--- a/android/guava/src/com/google/common/util/concurrent/ListenableScheduledFuture.java
+++ b/android/guava/src/com/google/common/util/concurrent/ListenableScheduledFuture.java
@@ -14,10 +14,7 @@
 
 package com.google.common.util.concurrent;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtCompatible;
 import java.util.concurrent.ScheduledFuture;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Helper interface to implement both {@link ListenableFuture} and {@link ScheduledFuture}.
@@ -25,8 +22,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Anthony Zana
  * @since 15.0
  */
-@Beta
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
-public interface ListenableScheduledFuture<V extends @Nullable Object>
+public interface ListenableScheduledFuture<V extends Object>
     extends ScheduledFuture<V>, ListenableFuture<V> {}
diff --git a/android/guava/src/com/google/common/util/concurrent/ListenerCallQueue.java b/android/guava/src/com/google/common/util/concurrent/ListenerCallQueue.java
index ed8c906..12dca44 100644
--- a/android/guava/src/com/google/common/util/concurrent/ListenerCallQueue.java
+++ b/android/guava/src/com/google/common/util/concurrent/ListenerCallQueue.java
@@ -16,10 +16,8 @@ package com.google.common.util.concurrent;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Preconditions;
 import com.google.common.collect.Queues;
-import com.google.errorprone.annotations.concurrent.GuardedBy;
 import java.util.ArrayList;
 import java.util.Collections;
 import java.util.List;
@@ -52,7 +50,6 @@ import java.util.logging.Logger;
  * the listeners can be delayed slightly so that locks can be dropped. Also, because {@link
  * #dispatch} is expected to be called concurrently, it is idempotent.
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 final class ListenerCallQueue<L> {
   // TODO(cpovirk): consider using the logger associated with listener.getClass().
@@ -133,13 +130,10 @@ final class ListenerCallQueue<L> {
     final L listener;
     final Executor executor;
 
-    @GuardedBy("this")
     final Queue<ListenerCallQueue.Event<L>> waitQueue = Queues.newArrayDeque();
 
-    @GuardedBy("this")
     final Queue<Object> labelQueue = Queues.newArrayDeque();
 
-    @GuardedBy("this")
     boolean isThreadScheduled;
 
     PerListenerQueue(L listener, Executor executor) {
diff --git a/android/guava/src/com/google/common/util/concurrent/ListeningExecutorService.java b/android/guava/src/com/google/common/util/concurrent/ListeningExecutorService.java
index 83ea759..dc96275 100644
--- a/android/guava/src/com/google/common/util/concurrent/ListeningExecutorService.java
+++ b/android/guava/src/com/google/common/util/concurrent/ListeningExecutorService.java
@@ -14,8 +14,6 @@
 
 package com.google.common.util.concurrent;
 
-import com.google.common.annotations.GwtIncompatible;
-import com.google.errorprone.annotations.DoNotMock;
 import java.util.Collection;
 import java.util.List;
 import java.util.concurrent.Callable;
@@ -23,7 +21,6 @@ import java.util.concurrent.ExecutorService;
 import java.util.concurrent.Future;
 import java.util.concurrent.RejectedExecutionException;
 import java.util.concurrent.TimeUnit;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * An {@link ExecutorService} that returns {@link ListenableFuture} instances. To create an instance
@@ -33,10 +30,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Chris Povirk
  * @since 10.0
  */
-@DoNotMock(
-    "Use TestingExecutors.sameThreadScheduledExecutor, or wrap a real Executor from "
-        + "java.util.concurrent.Executors with MoreExecutors.listeningDecorator")
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public interface ListeningExecutorService extends ExecutorService {
   /**
@@ -44,7 +37,7 @@ public interface ListeningExecutorService extends ExecutorService {
    * @throws RejectedExecutionException {@inheritDoc}
    */
   @Override
-  <T extends @Nullable Object> ListenableFuture<T> submit(Callable<T> task);
+  <T extends Object> ListenableFuture<T> submit(Callable<T> task);
 
   /**
    * @return a {@code ListenableFuture} representing pending completion of the task
@@ -58,7 +51,7 @@ public interface ListeningExecutorService extends ExecutorService {
    * @throws RejectedExecutionException {@inheritDoc}
    */
   @Override
-  <T extends @Nullable Object> ListenableFuture<T> submit(
+  <T extends Object> ListenableFuture<T> submit(
       Runnable task, @ParametricNullness T result);
 
   /**
@@ -80,7 +73,7 @@ public interface ListeningExecutorService extends ExecutorService {
    * @throws NullPointerException if any task is null
    */
   @Override
-  <T extends @Nullable Object> List<Future<T>> invokeAll(Collection<? extends Callable<T>> tasks)
+  <T extends Object> List<Future<T>> invokeAll(Collection<? extends Callable<T>> tasks)
       throws InterruptedException;
 
   /**
@@ -103,7 +96,7 @@ public interface ListeningExecutorService extends ExecutorService {
    * @throws NullPointerException if any task is null
    */
   @Override
-  <T extends @Nullable Object> List<Future<T>> invokeAll(
+  <T extends Object> List<Future<T>> invokeAll(
       Collection<? extends Callable<T>> tasks, long timeout, TimeUnit unit)
       throws InterruptedException;
 }
diff --git a/android/guava/src/com/google/common/util/concurrent/ListeningScheduledExecutorService.java b/android/guava/src/com/google/common/util/concurrent/ListeningScheduledExecutorService.java
index a6be949..deaa100 100644
--- a/android/guava/src/com/google/common/util/concurrent/ListeningScheduledExecutorService.java
+++ b/android/guava/src/com/google/common/util/concurrent/ListeningScheduledExecutorService.java
@@ -14,11 +14,9 @@
 
 package com.google.common.util.concurrent;
 
-import com.google.common.annotations.GwtIncompatible;
 import java.util.concurrent.Callable;
 import java.util.concurrent.ScheduledExecutorService;
 import java.util.concurrent.TimeUnit;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A {@link ScheduledExecutorService} that returns {@link ListenableFuture} instances from its
@@ -29,7 +27,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Chris Povirk
  * @since 10.0
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public interface ListeningScheduledExecutorService
     extends ScheduledExecutorService, ListeningExecutorService {
@@ -40,7 +37,7 @@ public interface ListeningScheduledExecutorService
 
   /** @since 15.0 (previously returned ScheduledFuture) */
   @Override
-  <V extends @Nullable Object> ListenableScheduledFuture<V> schedule(
+  <V extends Object> ListenableScheduledFuture<V> schedule(
       Callable<V> callable, long delay, TimeUnit unit);
 
   /** @since 15.0 (previously returned ScheduledFuture) */
diff --git a/android/guava/src/com/google/common/util/concurrent/Monitor.java b/android/guava/src/com/google/common/util/concurrent/Monitor.java
index d88a8bc..68d86aa 100644
--- a/android/guava/src/com/google/common/util/concurrent/Monitor.java
+++ b/android/guava/src/com/google/common/util/concurrent/Monitor.java
@@ -16,11 +16,7 @@ package com.google.common.util.concurrent;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.primitives.Longs;
-import com.google.errorprone.annotations.concurrent.GuardedBy;
-import com.google.j2objc.annotations.Weak;
 import java.util.concurrent.TimeUnit;
 import java.util.concurrent.locks.Condition;
 import java.util.concurrent.locks.ReentrantLock;
@@ -197,8 +193,6 @@ import javax.annotation.CheckForNull;
  * @author Martin Buchholz
  * @since 10.0
  */
-@Beta
-@GwtIncompatible
 @SuppressWarnings("GuardedBy") // TODO(b/35466881): Fix or suppress.
 @ElementTypesAreNonnullByDefault
 public final class Monitor {
@@ -301,17 +295,14 @@ public final class Monitor {
    *
    * @since 10.0
    */
-  @Beta
   public abstract static class Guard {
 
-    @Weak final Monitor monitor;
+    final Monitor monitor;
     final Condition condition;
 
-    @GuardedBy("monitor.lock")
     int waiterCount = 0;
 
     /** The next active guard */
-    @GuardedBy("monitor.lock")
     @CheckForNull
     Guard next;
 
@@ -338,7 +329,6 @@ public final class Monitor {
    * The guards associated with this monitor that currently have waiters ({@code waiterCount > 0}).
    * A linked list threaded through the Guard.next field.
    */
-  @GuardedBy("lock")
   @CheckForNull
   private Guard activeGuards = null;
 
@@ -978,7 +968,6 @@ public final class Monitor {
    * <p>This method must not be called from within a beginWaitingFor/endWaitingFor block, or else
    * the current thread's guard might be mistakenly signalled, leading to a lost signal.
    */
-  @GuardedBy("lock")
   private void signalNextWaiter() {
     for (Guard guard = activeGuards; guard != null; guard = guard.next) {
       if (isSatisfied(guard)) {
@@ -1010,7 +999,6 @@ public final class Monitor {
    * Exactly like guard.isSatisfied(), but in addition signals all waiting threads in the (hopefully
    * unlikely) event that isSatisfied() throws.
    */
-  @GuardedBy("lock")
   private boolean isSatisfied(Guard guard) {
     try {
       return guard.isSatisfied();
@@ -1021,7 +1009,6 @@ public final class Monitor {
   }
 
   /** Signals all threads waiting on guards. */
-  @GuardedBy("lock")
   private void signalAllWaiters() {
     for (Guard guard = activeGuards; guard != null; guard = guard.next) {
       guard.condition.signalAll();
@@ -1029,7 +1016,6 @@ public final class Monitor {
   }
 
   /** Records that the current thread is about to wait on the specified guard. */
-  @GuardedBy("lock")
   private void beginWaitingFor(Guard guard) {
     int waiters = guard.waiterCount++;
     if (waiters == 0) {
@@ -1040,7 +1026,6 @@ public final class Monitor {
   }
 
   /** Records that the current thread is no longer waiting on the specified guard. */
-  @GuardedBy("lock")
   private void endWaitingFor(Guard guard) {
     int waiters = --guard.waiterCount;
     if (waiters == 0) {
@@ -1065,7 +1050,6 @@ public final class Monitor {
    * responsibility to ensure that the guard is *not* currently satisfied.
    */
 
-  @GuardedBy("lock")
   private void await(Guard guard, boolean signalBeforeWaiting) throws InterruptedException {
     if (signalBeforeWaiting) {
       signalNextWaiter();
@@ -1080,7 +1064,6 @@ public final class Monitor {
     }
   }
 
-  @GuardedBy("lock")
   private void awaitUninterruptibly(Guard guard, boolean signalBeforeWaiting) {
     if (signalBeforeWaiting) {
       signalNextWaiter();
@@ -1096,7 +1079,6 @@ public final class Monitor {
   }
 
   /** Caller should check before calling that guard is not satisfied. */
-  @GuardedBy("lock")
   private boolean awaitNanos(Guard guard, long nanos, boolean signalBeforeWaiting)
       throws InterruptedException {
     boolean firstTime = true;
